Cassandra.AsyncProcessor.get (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.thrift

## Class Cassandra.AsyncProcessor.get<I extends Cassandra.AsyncIface>

- java.lang.Object
- - org.apache.thrift.AsyncProcessFunction<I,Cassandra.get_args,ColumnOrSuperColumn>
  - - org.apache.cassandra.thrift.Cassandra.AsyncProcessor.get<I>

- Enclosing class:
    Cassandra.AsyncProcessor<I extends Cassandra.AsyncIface>

      public static class Cassandra.AsyncProcessor.get<I extends Cassandra.AsyncIface>
      extends org.apache.thrift.AsyncProcessFunction<I,Cassandra.get_args,ColumnOrSuperColumn>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `get()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cassandra.get_args` | `getEmptyArgsInstance()`
    `org.apache.thrift.async.AsyncMethodCallback<ColumnOrSuperColumn>` | `getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
    `protected boolean` | `isOneway()`
    `void` | `start(I iface, Cassandra.get_args args, org.apache.thrift.async.AsyncMethodCallback<ColumnOrSuperColumn> resultHandler)`

    - ### Methods inherited from class org.apache.thrift.AsyncProcessFunction

      `getMethodName, sendResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### get

          public get()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public Cassandra.get_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.get_args,ColumnOrSuperColumn>`

    - #### getResultHandler

          public org.apache.thrift.async.AsyncMethodCallback<ColumnOrSuperColumn> getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb,
                                                                                                   int seqid)

      Specified by:
        `getResultHandler` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.get_args,ColumnOrSuperColumn>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.get_args,ColumnOrSuperColumn>`

    - #### start

          public void start(I iface,
                            Cassandra.get_args args,
                            org.apache.thrift.async.AsyncMethodCallback<ColumnOrSuperColumn> resultHandler)
                     throws org.apache.thrift.TException

      Specified by:
        `start` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.get_args,ColumnOrSuperColumn>`
      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation